Update SAML IdP client configuration by app name
Updates an existing SAML-based Identity Provider configuration for the Tenant identified by the application name, modifying necessary settings.
Updates an existing SAML-based Identity Provider configuration for the Tenant identified by the application name, modifying necessary settings.
Authorization
M2MBearerToken M2M Token for authentication
In: header
Path Parameters
The SAML App identifier
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://api.loginradius.com/v2/manage/saml-clients/my-saml-app" \ -H "Content-Type: application/json" \ -d '{}'{
"AfterLogoutUrl": "https://example.com/logout",
"AppName": "ExampleApp",
"ArtifactReceiver": "https://example.com/artifact-receiver",
"AssertionConsumerService": {
"Binding": "urn:oasis:names:tc:SAML:2.0:bindings:HTTP-POST",
"Location": "https://example.com/acs"
},
"Attributes": {
"additionalProperties": {
"AlternativeMappingKey": "exampleKey",
"Format": "urn:oasis:names:tc:SAML:2.0:nameid-format:transient",
"IsStatic": true,
"Value": "exampleValue"
}
},
"Audiences": [
"https://example.com/audience1",
"https://example.com/audience2"
],
"DefaultRequestBinding": "urn:oasis:names:tc:SAML:2.0:bindings:HTTP-POST",
"IdpCertificate": {
"Certificate": "MIIC...example...certificate",
"Key": "MIIC...example...key"
},
"IsIdpInitiated": true,
"IssuerUrl": "https://example.com/issuer",
"LoginUrl": "https://example.com/login",
"NameIdFormat": "urn:oasis:names:tc:SAML:1.1:nameid-format:emailAddress",
"NotOnOrAfter": 1609459200,
"RelayStateParameter": "exampleRelayState",
"SamlVersion": "2.0",
"SpCertificate": {
"Certificate": "MIIC...example...spcertificate"
},
"SpLogoutUrl": "https://example.com/sp-logout",
"IsPrebuiltIntegration": true,
"ReplyUrl": "https://example.com/reply",
"IntegrationType": "exampleType",
"IntegrationConfigs": {
"IdpSHA1Fingerprint": "exampleFingerprint",
"AccountName": "exampleAccount"
}
}{
"ErrorCode": 1079,
"Message": "Put body is invalid or empty",
"Description": "Please use a valid put body in JSON format in order to process this request."
}{
"Message": "Access Unauthorized",
"Description": "Access Unauthorized, please use valid authorization to access this endpoint.",
"ErrorCode": 6002
}{
"Description": "Security Assertion Markup Language (SAML) configuration is not configured or the resource does not exist.",
"ErrorCode": 7938,
"Message": "SAML configuration not found"
}{
"Message": "Operation failed due to an internal error.",
"Description": "An unknown internal error occurred, please try again in a few minutes or contact your system administrator.",
"ErrorCode": 7909
}Delete SAML IdP Configuration DELETE
Deletes the SAML-based Identity Provider configuration for the Tenant identified by the application name, disabling authentication for the specified application.
Renew SAML IdP Certificate POST
Renews the SAML Identity Provider certificate to replace an expiring or compromised signing certificate.